Export Timelines

Base URL
https://{kibana_url}
  • POST /api/timeline/_export
  • POST /s/{space_id}/api/timeline/_export
Auth

Export Timelines as an NDJSON file.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

file_name string required

The name of the file to export

Request body

The IDs of the Timelines to export.

ids string[] · min items: 1 · max items: 1000 nullable

Responses

Indicates the Timelines were successfully exported.

application/ndjson

Response Type: string

Indicates that the export size limit was exceeded.

application/ndjson
body string
statusCode number
Base URL
https://{kibana_url}